# -*- coding: utf-8 -*-
from Dialog import *

class EingabeDialog(Dialog):
    """Die Klasse EingabeDialog stellt einen einfachen Dialog zur
    Eingabe von Texten zur Verfügung."""

    def __init__(self, pTitel, pNachricht):
        """Auftrag [Konstruktor]: __init__
        nachher
        Der Dialog ist initialisiert.
        """
        self.__androide = android.Android()
        self.zTitel = pTitel
        self.zNachricht = pNachricht
        self.zErgebnis = ""

    def ergebnis(self):
        """Anfrage: ergebnis : Zeichenkette
        nachher
        Diese Anfrage liefert die Eingabe aus dem Dialog.
        """
        return self.zErgebnis

    def zeige(self):
        """Auftrag: zeige
        nachher
        Der Dialog wurde angezeigt und die Eingabe übernommen.
        """
        self.__androide.dialogCreateInput(self.zTitel, self.zNachricht)
        self.__androide.dialogSetPositiveButtonText('Ok')
        self.__androide.dialogShow()
        self.zErgebnis = self.__androide.dialogGetResponse().result['value']
